# 导入 oos 包
import oos
from ooscore.config import Config

config = Config(signature_version='s3')
client = oos.client('s3', use_ssl=False, endpoint_url='https://oos-hz.ctyunapi.cn',
                    access_key_id='2aa659457d10a4836fe4',
                    secret_access_key='8a690e867a30539f3a0169bba90a742126d7ea4a',
                    config=config)

BUCKET = "adamia"


def put(upload_file, key):
    with open(upload_file, 'rb') as data:
        client.put_object(
            Bucket=BUCKET,
            Key=key,
            Body=data,
            StorageClass='EC_2_1'
        )


def get(key, download_file_path):
    response = client.get_object(
        Bucket=BUCKET,
        Key=key
    )
    body = response['Body']
    with open(download_file_path, 'wb') as fd:
        for chunk in iter(lambda: body.read(4096), b''):
            fd.write(chunk)


def test_upload():
    # 上传测试资源到天翼云
    put('source_data/z1.jpg', '2aa659457d10a4836fe4/test/z1.jpg')
    put('source_data/1.jpg', '2aa659457d10a4836fe4/test/1.jpg')
    put('source_data/3.jpg', '2aa659457d10a4836fe4/test/3.jpg')
    put('source_data/4.jpg', '2aa659457d10a4836fe4/test/4.jpg')
    put('source_data/5.jpg', '2aa659457d10a4836fe4/test/5.jpg')


def test():
    key = '2aa659457d10a4836fe4/test/1.jpg'
    put('source_data/1.jpg', key)
    get(key, 'source_data/1_test.jpg')


if __name__ == '__main__':
    # test_upload()

    key = '2aa659457d10a4836fe4/20200529143327_08b7303d997d4f3dade715771c808b3a.mp4'
    get(key, 'result_data/'+'20200529143327_08b7303d997d4f3dade715771c808b3a.mp4')